package com.ruoyi.project.training.spec.service;

import java.util.List;
import com.ruoyi.project.training.spec.domain.TStYearplan;

/**
 * 专项培训年度计划Service接口
 *
 * @author ly
 * @date 2022-04-24
 */
public interface ITStYearplanService
{
    /**
     * 查询专项培训年度计划
     *
     * @param id 专项培训年度计划ID
     * @return 专项培训年度计划
     */
    public TStYearplan selectTStYearplanById(Long id);

    /**
     * 查询专项培训年度计划列表
     *
     * @param tStYearplan 专项培训年度计划
     * @return 专项培训年度计划集合
     */
    public List<TStYearplan> selectTStYearplanList(TStYearplan tStYearplan);

    /**
     * 新增专项培训年度计划
     *
     * @param tStYearplan 专项培训年度计划
     * @return 结果
     */
    public int insertTStYearplan(TStYearplan tStYearplan);

    /**
     * 修改专项培训年度计划
     *
     * @param tStYearplan 专项培训年度计划
     * @return 结果
     */
    public int updateTStYearplan(TStYearplan tStYearplan);

    /**
     * 批量删除专项培训年度计划
     *
     * @param ids 需要删除的专项培训年度计划ID
     * @return 结果
     */
    public int deleteTStYearplanByIds(Long[] ids);

    /**
     * 删除专项培训年度计划信息
     *
     * @param id 专项培训年度计划ID
     * @return 结果
     */
    public int deleteTStYearplanById(Long id);
}
